Bug 808269 - [abrt] bind-9.8.2-0.2.rc1.fc16: __GI_raise: Process /usr/sbin/named was killed by signal 6 (SIGABRT)
[abrt] bind-9.8.2-0.2.rc1.fc16: __GI_raise: Process /usr/sbin/named was kille...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: bind-dyndb-ldap (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
abrt_hash:daaeb44f1474bca71ff92b2623b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-29 21:49 EDT by James Cape
Modified: 2013-04-30 19:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-16 05:44:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: var_log_messages (7.61 KB, text/plain)
2012-03-29 21:49 EDT, James Cape
no flags Details
File: maps (21.43 KB, text/plain)
2012-03-29 21:49 EDT, James Cape
no flags Details
File: backtrace (9.60 KB, text/plain)
2012-03-29 21:49 EDT, James Cape
no flags Details

  None (edit)
Description James Cape 2012-03-29 21:49:45 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/sbin/named -u named
comment:        
crash_function: __GI_raise
executable:     /usr/sbin/named
kernel:         3.1.6-1.fc16.x86_64
pid:            20341
pwd:            /var/named
reason:         Process /usr/sbin/named was killed by signal 6 (SIGABRT)
time:           Thu 29 Mar 2012 09:41:28 PM EDT
uid:            25
username:       named

backtrace:      Text file, 9832 bytes
maps:           Text file, 21947 bytes
var_log_messages: Text file, 7794 bytes

build_ids:
:552354979eebf3d6c27346691a5b520ccf8f4e75
:7249b38dec66f05fdf94e663c663d631a73abf9e
:088f5defb6f1a36de3c67b971340673d9eebc827
:5083c24b4fd7dbf3cac9cf4c15876b0dfdceb4bb
:89017ab0b75e533e4294f74ee8f7db3daceea536
:34e8b3cee73a6d0b8ac17c69ba4b1170724db64c
:ef95ed2b74ff19753827117d4e556f38b33e74b5
:dc21ca9d4742c4fc59295c1a1bb6e2c5c3f99c19
:59292332bd88fce31f7557e60ff08d44ce254ec8
:c49811439aeff6168ae82e7cf808a8c03b1c9e48
:b010321c92dc1b5abf0007da423b778542817883
:5f1706438eb7b8ace2ec9cc13ed8110e8b798823
:0ce9819eb7014de7e72eec40979dd5e4d6566dca
:2639b5594fe4d7897db63ecd1ebb9681438317a8
:c314e9cb57367719196b6f665fe6773a2d08add6
:0a49b6fd90960659888f0be3bb576495f9d41959
:638db099ff5fb986d1a092629d1bb1dca5be4904
:e5429e0905bedecc534b057783916ba43e06a66e
:10afaa1afe06312031052f00b86fcdfb416f1af1
:bb5c9b5cca6d04252b061a2f840ab4ddfda9e733
:0f0c9eed63ed279ceb0aef109eff8bcbb351e4bb
:b02cae98702078f8912bdb67f6a86379942e2ad2
:0bd515c1c778bb4b8f870a900d1543da39d6b662
:e2e67b3ae2579e1667b73ad385f61552931024e9
:ea44661a40777d6be2f79058c161d3bb4962891a
:a0b2903547454e47fec356c1fa1a69a7593893c5
:4b4285058f7f6b39b7e7c45df83fd36c6833bfe4
:a042d8a78ce53522a52801cac46371440b60f1dd
:09c2c47ebffc25a9ba5b5aad9454e4aef1dd5572
:1a212c7f1515542b310ba92f6109efc9b5bf2b6e
:b9d3a4213a482d034bebc7dc1ed2901a734a894d
:dacf32a9a2f2b5077ba944e7b835cca6f637f78f
:66b8a549e5dfccb29eee911c9a1f987d05f12613
:ccd23fb93a7924ddd27ea9e7f054fa5309c92f32
:cd77f398c344fb85d62bb939fa1896091055f835
:83cb4627bed5c756d4e6f23badf8a6b4b042f4e6
:3691cff3e332d944d8ad00a816c50216dab79a34
:e814ef8432b7dec42a0b8ec12b9abd9fc7f57b40
:a28b15796672928bb44b262c88052ae601bf5955
:8822ec50a7ca08984b34af0b3096794a5085c473
:065f24e263b3a0d4316bfeedf855df8c2c35c03a
:5ac56dbb5866c475e1b0c3e4ceeb390b0f7508c0
:1bf947579687b870375bdb51b4eef277f76f9280
:b0a2d0b4c09d819887ec7d711c8cf3977a074c4f
:ee2f04900ae1f07517d91eba300ef385fccab1b8
:f1e8182609d9eae40a8ddbbb72c9346166014f1a

dso_list:
:/usr/lib64/sasl2/libdigestmd5.so.2.0.23 cyrus-sasl-md5-2.1.23-27.fc16.x86_64 (Fedora Project) 1332970768
:/usr/lib64/sasl2/libanonymous.so.2.0.23 cyrus-sasl-lib-2.1.23-27.fc16.x86_64 (Fedora Project) 1332970518
:/usr/lib64/sasl2/libcrammd5.so.2.0.23 cyrus-sasl-md5-2.1.23-27.fc16.x86_64 (Fedora Project) 1332970768
:/usr/lib64/sasl2/libgssapiv2.so.2.0.23 cyrus-sasl-gssapi-2.1.23-27.fc16.x86_64 (Fedora Project) 1332970535
:/usr/sbin/named bind-32:9.8.2-0.2.rc1.fc16.x86_64 (Fedora Project) 1328909816
:/lib64/libnss_files-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1332970416
:/usr/lib64/sasl2/libsasldb.so.2.0.23 cyrus-sasl-lib-2.1.23-27.fc16.x86_64 (Fedora Project) 1332970518
:/usr/lib64/bind/ldap.so bind-dyndb-ldap-1.1.0-0.8.a2.fc16.x86_64 (Fedora Project) 1332289352

environ:
:KRB5_KTNAME=/etc/named.keytab
:SYSFONT=latarcyrheb-sun16
:PATH=/sbin:/usr/sbin:/bin:/usr/bin
:PWD=/
:LANG=en_US.UTF-8
:KEYTABLE=us
:SHLVL=2
:BOOT_IMAGE=/vmlinuz-3.1.6-1.fc16.x86_64
:_=/usr/sbin/named
Comment 1 James Cape 2012-03-29 21:49:48 EDT
Created attachment 573851 [details]
File: var_log_messages
Comment 2 James Cape 2012-03-29 21:49:50 EDT
Created attachment 573852 [details]
File: maps
Comment 3 James Cape 2012-03-29 21:49:51 EDT
Created attachment 573853 [details]
File: backtrace
Comment 4 Adam Tkac 2012-03-30 04:09:40 EDT
This seems like a memory leak in bind-dyndb-ldap plugin for me (or in BIND itself).

Can you please update the bind-dyndb-ldap package to the latest version and check if it's OK (via `yum update --enablerepo updates-testing bind-dyndb-ldap`)? It contains some memory leak fixes.

Additionally, please add the "OPTIONS='-m record'" option to the /etc/sysconfig/named. With this flag, named will write which memory is not free()-ed on exit in case this bug is still unfixed. If this don't happen again, you can remove the flag and we can close this bug as already fixed. Thank you in advance.
Comment 5 Fedora End Of Life 2013-01-16 05:20:35 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.